const mongoose = require('mongoose')
mongoose.connect('mongodb://localhost:27017/room_reserve')

const Building = require('./models/building')
const Room = require('./models/room')
const User = require('./models/user')
const Institution = require('./models/institution')


async function clearDb () {
  await Building.deleteMany({})
  await Room.deleteMany({})
  await User.deleteMany({})
  await Institution.deleteMany({})
}

async function main () {
  await clearDb()
  const building1 = new Building({ code: 'IF', name: 'อาคารคณะวิทยาการสารสนเทศ' })
  const building2 = new Building({ code: 'KB', name: 'อาคารเฉลิมพระเกียรติฉลองสิริราชสมบัติครบ 60 ปี' })
  const building3 = new Building({ code: 'E', name: 'อาคารศึกษาศาสตร์' })
  await building1.save()
  await building2.save()
  await building3.save()
  const room1 = new Room({ code: 'IF-3C01', desc: 'Computer+Projector+OHP', building: building1, seat: 60 })
  const room2 = new Room({ code: 'IF-3C02', desc: 'Computer+Projector+OHP', building: building1, seat: 60 })
  const room3 = new Room({ code: 'K-B201', desc: 'Computer+Presenter+TV+OHP+Tape', building: building2, seat: 60 })
  const room4 = new Room({ code: 'K-B202', desc: 'Computer+Presenter+TV+OHP+Tape', building: building2, seat: 60 })
  const room5 = new Room({ code: 'E-103', desc: 'Presenter+TV+OHP+Tape', building: building3, seat: 30 })
  const room6 = new Room({ code: 'E-206', desc: 'Presenter+TV+OHP+Tape', building: building3, seat: 100 })
  await room1.save()
  await room2.save()
  await room3.save()
  await room4.save()
  await room5.save()
  await room6.save()
  const institution1 = new Institution({name:'Informatics'})
  const institution2 = new Institution({name:'Huso'})
  const institution3  = new Institution({name:'Science'})
  await institution1.save()
  await institution2.save()
  await institution3.save()
  const user1 = new User({ username:'62160266',password:'buu0266',name:'Mankhong',surname:'Limprapaipong',position:'Student',institution:institution1})
  const user2 = new User({ username:'62160166',password:'buu0166',name:'Krit',surname:'Suksri',position:'Student',institution:institution1})
  const user3 = new User({ username:'62160277',password:'buu0277',name:'Jettarin',surname:'Kapuekngam',position:'Student',institution:institution1})
  const user4 = new User({ username:'christmas',password:'christmas123',name:'Christmas',surname:'Chukesorn',position:'Teacher',institution:institution2})
  const user5 = new User({ username:'nathalinee',password:'nathalinee235',name:'Nathalinee',surname:'Sinaroj',position:'Teacher',institution:institution2})
  const user6 = new User({ username:'worrawit',password:'tkob555',name:'Worrawit',surname:'Weerapan',position:'Teacher',institution:institution1})
  const user7 = new User({ username:'jakkarin',password:'take333',name:'Jakkarin',surname:'Suksawatchon',position:'Teacher',institution:institution1})
  const user8 = new User({ username:'ureerat',password:'tple222',name:'Ureerat',surname:'Suksawatchon',position:'Teacher',institution:institution1})
  const user9 = new User({ username:'Sawaminee',password:'zawarudo',name:'Sawaminee',surname:'Theerawut',position:'Teacher',institution:institution3})
  const user10 = new User({ username:'Nongnuch',password:'suannongnuch',name:'Nongnuch',surname:'Yenjai',position:'Teacher',institution:institution3})
  await user1.save()
  await user2.save()
  await user3.save()
  await user4.save()
  await user5.save()
  await user6.save()
  await user7.save()
  await user8.save()
  await user9.save()
  await user10.save()
}

main().then(function () {
  console.log('Finish init')
})
